subroutine DERIVS(n, t, y, ff)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real*8 (a-h,o-z)
real(8) y(*), ff(*)

! Ecuatia Van der Pol:
! x'' -lambda(1-x**2)*x'+x=A*cos(omega*t)
! 1st order:
! x' = u		; x(0) =1
! u' = lambda*(1-x**2)*u -x + A*cos(omega*t)	; u(0)=0

ff(1) =y(2)
ff(2) =lambda*(1-y(1)**2)*y(2) -y(1) + A*dcos(omega*t)

END subroutine DERIVS

